org.eclipse.rdf4j.query.parser.sparql.ast

## Class ASTQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode
  - - org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperation
    - - org.eclipse.rdf4j.query.parser.sparql.ast.ASTQuery

- All Implemented Interfaces:
    Node
  Direct Known Subclasses:
    ASTAskQuery, ASTConstructQuery, ASTDescribeQuery, ASTSelectQuery

      public abstract class ASTQuery
      extends ASTOperation

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode

      `children, id, parent, parser`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ASTQuery(int id)`
    `protected` | `ASTQuery(SyntaxTreeBuilder p, int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASTBindingsClause` | `getBindingsClause()`
    `ASTGroupClause` | `getGroupClause()`
    `ASTHavingClause` | `getHavingClause()`
    `ASTLimit` | `getLimit()`
    `ASTOffset` | `getOffset()`
    `ASTOrderClause` | `getOrderClause()`
    `boolean` | `hasLimit()`
    `boolean` | `hasOffset()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperation

      `getDatasetClauseList, getWhereClause`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode

      `childrenAccept, dump, dump, jjtAccept, jjtAddChild, jjtAppendChild, jjtClose, jjtGetChild, jjtGetChild, jjtGetChildren, jjtGetChildren, jjtGetNumChildren, jjtGetParent, jjtInsertChild, jjtOpen, jjtReplaceChild, jjtReplaceWith, jjtSetParent, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTQuery

          protected ASTQuery(int id)

    - #### ASTQuery

          protected ASTQuery(SyntaxTreeBuilder p,
                             int id)

  - ### Method Detail

    - #### getOrderClause

          public ASTOrderClause getOrderClause()

    - #### getGroupClause

          public ASTGroupClause getGroupClause()

    - #### getHavingClause

          public ASTHavingClause getHavingClause()

    - #### getBindingsClause

          public ASTBindingsClause getBindingsClause()

    - #### hasLimit

          public boolean hasLimit()

    - #### getLimit

          public ASTLimit getLimit()

    - #### hasOffset

          public boolean hasOffset()

    - #### getOffset

          public ASTOffset getOffset()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.